<?php

namespace Schaffen\Gef\Models;

use App\Models\Cadastro\Pessoa;
use Illuminate\Database\Eloquent\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class AgendamentoVeiculoUso.
 *
 * @package namespace Schaffen\Gef\Models;
 */
class AgendamentoVeiculoUso extends Model implements Transformable
{
   use TransformableTrait;

   public $timestamps = false;
   protected $table = "frota.agendamento_veiculo_uso";
   protected $primaryKey = "agu_codigo";
   public static $prefix = 'agu_';


   /**
    * The attributes that are mass assignable.
    *
    * @var array
    */
   protected $fillable = ["agu_data_disponibilidade_inicial","agu_data_disponibilidade_final","agu_observacao","agu_fk_motorista_pes_codigo","agu_fk_vei_codigo"];

   public function motorista(){
      return $this->belongsTo(Pessoa::class, 'agu_fk_motorista_pes_codigo');
   }
   public function veiculo(){
      return $this->belongsTo(Veiculo::class, 'agu_fk_vei_codigo');
   }

}
