<?php

namespace Schaffen\Gef\Validators;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class ProdutoFrotaValidator.
 *
 * @package namespace Schaffen\Gef\Validators;
 */
class ProdutoFrotaValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
           'produto' => 'required|integer|exists:pgsql.produto.produto,pro_codigo',
           'categoria' => 'required|integer|exists:pgsql.frota.categoria_gasto,cag_codigo',
           'variedade_embalagem' => 'required|exists:pgsql.produto.produto_variedade_embalagem,pve_codigo'
           ],
        ValidatorInterface::RULE_UPDATE => [
           'produto' => 'required|integer|exists:pgsql.produto.produto,pro_codigo',
           'categoria' => 'required|integer|exists:pgsql.frota.categoria_gasto,cag_codigo',
           'variedade_embalagem' => 'required|exists:pgsql.produto.produto_variedade_embalagem,pve_codigo'
        ],
    ];
}
